Subject: Re: adding more machines to snd-aoa

From: Gabriel Paubert <[email-masked]>
Date: Fri, 24 Oct 2008 14:26:16 +0200

On Fri, Oct 24, 2008 at 10:40:23AM +0200, Johannes Berg wrote:
> On Thu, 2008-10-23 at 18:43 +0200, Gabriel Paubert wrote:
> 
> > > Can you tell me which devices it has, like does it have line-in,
> > > microphone, headphones, ...?
> > 
> > I'm not an audio specialist, so the symbols used to
> > identify the ports look like hieroglyphs to me, but 
> > The documentation says that the two ports on the
> > back are for headphones and external stereo loudspeakers.
> 
> Right. I'll assume it has a microphone too, built-in. 

I doubt it: 
- no mention found in the doc
- it seems to be output-only (#-inputs in the device tree is 0,
#-outputs is 3).

I have attached the device tree corresponding to the PCI domain.

I could also send you the device tree of my PowerBook G3: it does
have the device-id property with a value of 10, but the parent
node is called davbus instead of i2s. That one definitely has
a microphone...

> Could you try the
> patch below, enable all snd-aoa modules and see what happens?
> 

I won't have time in the next few days, sorry. 

	Regards,
	Gabriel